# class toResultConstraint | This widget displays information about the constraints of an object specified by the first and second parameter in the query. More...
Definition | `#include <toresultconstraint.h>`
Inherits | toResultView [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toResultConstraint (QWidget *parent,const char *name=NULL)
- ~toResultConstraint ()
- virtual void query (const QString &sql,const toQList ¶m)
- virtual bool canHandle (toConnection &conn)

## Detailed Description

This widget displays information about the constraints of an object specified by the first and second parameter in the query. The sql is not used in the query.

toResultConstraint (QWidget *parent,const char *name=NULL) | ### toResultConstraint

Create the widget.

Parameters:

parent | Parent widget.
name | Name of widget.

~toResultConstraint () | ### ~toResultConstraint

Destroy object

void query (const QString &sql,const toQList ¶m) | ### query

[virtual]

Reimplemented for internal reasons.

Reimplemented from toResultView.

bool canHandle (toConnection &conn) | ### canHandle

[virtual]

Support Oracle

Reimplemented from toResultView.